Get pricing tier (product item) by ID
const url = 'https://api.example.com/cms/product/item/1';const options = {method: 'GET', headers: {'API-Key': '<API-Key>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.example.com/cms/product/item/1 \ --header 'API-Key: <API-Key>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Responses
Section titled “Responses”Pricing tier (product item) details
API representation of an ecommerce pricing tier (product item)
object
Item ID
Description
Product ID
Product name
Price
The price it sells at today: its timed offer’s price while one runs, otherwise price
Currency
Available
Item order
Shippable
Weight
Installments
Once per user
Is upgrade
Upgrade type
Upgrade from
Upgrade exclude items
Upgrade price web
Upgrade price mobile
Field values, keyed by field key (each {name, value, type}), e.g. {“size”: {“name”: “Size”, “value”: “large”, “type”: “list”}}: the same keys the product search takes in settings; an empty array when there are none
object
object
Has image
Additional label 1
Additional label 2
Additional label 3
Diameter
Length
Depth
Width
Recurrent
Recurrent price
Recurrent start
Recurrent schedule
SKU
Stock enabled
Stock available
Whether orders are accepted when out of stock
Package quantity
Related items
object
Images (attachments)
object
High resolution URL
Video (only for video attachments)
object
Duration (only when present in metadata)
Files (attachments)
object
Duration (only when present in metadata)
Product details. Deprecated to avoid circular references. Use productId instead.
object
Translations
Action data to be executed when a pricing tier is bought
object
Action data to be executed when a pricing tier is bought as a renewal
object
Example
{ "prices": { "ZAR": { "price": "1", "recurrentPrice": "1" } }, "images": [ { "id": "4", "name": "watermarked", "focal": "50% 50%", "image_width": 654, "image_height": 529, "type": "image" } ], "files": [ { "id": "5", "type": "file" } ], "translations": { "en": { "description": "Description text", "label1": "Label 1", "label2": "Label 2", "label3": "Label 3" } }, "action_data": [ { "function": "registerSubscription", "param": "365", "group": "subscription" } ], "action_data_renew": [ { "function": "registerSubscription", "param": "365", "group": "subscription" } ]}Pricing tier (product item) not found